//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Wed Jan 23 21:49:46 PST 2002
// Last Modified: Wed Jan 23 21:49:49 PST 2002
// Filename:      ...soundio/sndinfo.cpp
// Syntax:        C++ 
//
// Description:   Print out header information from input soundfile(s).
//

#include "soundio.h"
#include <stdlib.h>
#include <iostream.h>

int main(int argc, char** argv) {
   Options options;
   options.process(argc, argv);
   SoundFileRead  insound;

   int i;
   for (i=1; i<=options.getArgCount(); i++) {
      insound.setFile(options.getArg(i));
      cout << "Filename:        " << insound.getFilename() << "\n";
      cout << insound << endl;

   }

   return 0;
}





